#
# spec file for package signon-plugin-oauth2
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           signon-plugin-oauth2
Version:        0.20
Release:        3.5
Summary:        Oauth2 plugin for the Single Sign On Framework
License:        LGPL-2.0
Group:          System/GUI/Other
Url:            http://code.google.com/p/accounts-sso/
Source:         signon-oauth2-%{version}.tar.bz2
Patch0:         0001_Multilib.patch
BuildRequires:  signon-plugins-devel
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  pkgconfig(libsignon-qt5)
Requires:       signon-ui
Conflicts:      libproxy1-kde4

%description
This package contains the Oauth2 plugin for the Single Sign On Framework.

%package devel
Summary:        Development files for signon-plugin-oauth2
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
This package contains the development files for the Oauth2 plugin for the Single
Sign On Framework.

%prep
%setup -q -n signon-oauth2-%{version}

%patch0 -p1 -b .multilib
sed -i 's|@LIB@|%{_lib}|g' src/signon-oauth2plugin.pc src/src.pro

%build
qmake-qt5 \
  PREFIX=%{_prefix} \
  LIBDIR=%{_libdir} \
  QMAKE_CXXFLAGS="%{optflags}"

make %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}

rm -v %{buildroot}%{_sysconfdir}/signon-ui/webkit-options.d/*

%files
%defattr(-,root,root)
%doc COPYING
%{_bindir}/oauthclient
%{_bindir}/signon-oauth2plugin-tests
%dir %{_libdir}/signon/
%{_libdir}/signon/liboauth2plugin.so
%dir %{_datadir}/signon-oauth2plugin-tests/
%{_datadir}/signon-oauth2plugin-tests/tests.xml

%files devel
%defattr(-,root,root)
%dir %{_includedir}/signon-plugins/
%{_includedir}/signon-plugins/*.h
%{_libdir}/pkgconfig/signon-oauth2plugin.pc

%changelog
* Sat Feb 22 2014 tittiatcoke@gmail.com
- Initial package
